<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>01200_GPCrypto_cipher_NIST</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____g_p_crypto__cipher___n_i_s_t.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">01200_GPCrypto_cipher_NIST<div class="ingroups"><a class="el" href="group___g_p.html">GP</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaffab716ee89dc4e9245e3c6894d019ce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#gaffab716ee89dc4e9245e3c6894d019ce">TestCase_GC00100_KAT_AES_128_ECB_NOPAD</a> ()</td></tr>
<tr class="separator:gaffab716ee89dc4e9245e3c6894d019ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ddd877a87a3ea91453529229bf1e910"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#ga0ddd877a87a3ea91453529229bf1e910">TestCase_GC00100_KAT_AES_192_ECB_NOPAD</a> ()</td></tr>
<tr class="separator:ga0ddd877a87a3ea91453529229bf1e910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafe47c7eda1214304b85ca750418b1f07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#gafe47c7eda1214304b85ca750418b1f07">TestCase_GC00100_KAT_AES_256_ECB_NOPAD</a> ()</td></tr>
<tr class="separator:gafe47c7eda1214304b85ca750418b1f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab93f1843f25a95b9e3fa29d669fb8836"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#gab93f1843f25a95b9e3fa29d669fb8836">TestCase_GC00100_KAT_AES_128_CBC_NOPAD</a> ()</td></tr>
<tr class="separator:gab93f1843f25a95b9e3fa29d669fb8836"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55b0aaa55f0f9dedbdef22e22f50c67f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#ga55b0aaa55f0f9dedbdef22e22f50c67f">TestCase_GC00100_KAT_AES_192_CBC_NOPAD</a> ()</td></tr>
<tr class="separator:ga55b0aaa55f0f9dedbdef22e22f50c67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8aa4147a58193637b569a00def0d4497"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#ga8aa4147a58193637b569a00def0d4497">TestCase_GC00100_KAT_AES_256_CBC_NOPAD</a> ()</td></tr>
<tr class="separator:ga8aa4147a58193637b569a00def0d4497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga93144581b08f637c77d96b37dfc91d9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#ga93144581b08f637c77d96b37dfc91d9e">TestCase_GC00100_KAT_DES3_128_ECB_NOPAD</a> ()</td></tr>
<tr class="separator:ga93144581b08f637c77d96b37dfc91d9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4752a2bd2c6a9485dd69d4a27d04f933"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html#ga4752a2bd2c6a9485dd69d4a27d04f933">TestCase_GC00100_KAT_DES3_128_CBC_NOPAD</a> ()</td></tr>
<tr class="separator:ga4752a2bd2c6a9485dd69d4a27d04f933"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<dl class="section user"><dt>Description:</dt><dd>: Test the TA cryptographic functions TEE_InitRefAttribute, TEE_SetOperationKey, TEE_CipherInit, TEE_CipherDoFinal </dd></dl>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaffab716ee89dc4e9245e3c6894d019ce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_AES_128_ECB_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for AES-128-ECB-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_AES_128_ECB_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="ga0ddd877a87a3ea91453529229bf1e910"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_AES_192_ECB_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for AES-192-ECB-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_AES_192_ECB_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="gafe47c7eda1214304b85ca750418b1f07"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_AES_256_ECB_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for AES-256-ECB-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_AES_256_ECB_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="gab93f1843f25a95b9e3fa29d669fb8836"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_AES_128_CBC_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for AES-128-CBC-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_AES_128_CBC_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="ga55b0aaa55f0f9dedbdef22e22f50c67f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_AES_192_CBC_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for AES-192-CBC-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_AES_192_CBC_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="ga8aa4147a58193637b569a00def0d4497"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_AES_256_CBC_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for AES-256-CBC-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_AES_256_CBC_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="ga93144581b08f637c77d96b37dfc91d9e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_DES3_128_ECB_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for DES3-128-ECB-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_DES3_128_ECB_NOPAD </dd></dl>

</div>
</div>
<a class="anchor" id="ga4752a2bd2c6a9485dd69d4a27d04f933"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_KAT_DES3_128_CBC_NOPAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>3519aef478ba57daa6ff7523fc05cfdd </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>KAT tests for DES3-128-CBC-NOPAD. Crypto operation done on single input block of data. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Reads input data and expected from file. Performs encryption or decryption and compares results.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP.01200_GPCrypto_cipher_NIST.GC00100_KAT_DES3_128_CBC_NOPAD </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
